gr::satellites::encode_rs Class Reference

Reed-Solomon encoder. More...

`#include <encode_rs.h>`

Inheritance diagram for gr::satellites::encode_rs:

## Public Types

typedef std::shared_ptr< encode_rs > | sptr

## Static Public Member Functions

static sptr | make (bool dual_basis, int interleave=1)
| Constructs a CCSDS Reed Solomon encoder using PDU IO.
static sptr | make (int frame_size, bool dual_basis, int interleave=1)
| Constructs a CCSDS Reed Solomon encoder using vector stream IO.
static sptr | make (int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave=1)
| Constructs a generic Reed Solomon encoder using PDU IO.
static sptr | make (int frame_size, int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave)
| Constructs a generic Reed Solomon encoder using vector stream IO.

## Detailed Description

Reed-Solomon encoder.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<encode_rs> gr::satellites::encode_rs::sptr

## Member Function Documentation

## make() [1/4]

sptr gr::satellites::encode_rs::make | ( | bool | dual_basis,
|  | int | interleave = 1 )

static

Constructs a CCSDS Reed Solomon encoder using PDU IO.

Parameters

  dual_basis | Selects the dual or conventional basis.
  interleave | Interleave depth.

## make() [2/4]

sptr gr::satellites::encode_rs::make | ( | int | frame_size,
|  | bool | dual_basis,
|  | int | interleave = 1 )

static

Constructs a CCSDS Reed Solomon encoder using vector stream IO.

Parameters

  frame_size | Input frame size.
  dual_basis | Selects the dual or conventional basis.
  interleave | Interleave depth.

## make() [3/4]

sptr gr::satellites::encode_rs::make | ( | int | frame_size,
|  | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | interleave )

static

Constructs a generic Reed Solomon encoder using vector stream IO.

Parameters

  frame_size | Input frame size.
  symsize | Size of the finite field elements.
  gfpoly | Polynomial defining the finite field.
  fcr | First consecutive root of the Reed-Solomon generator polynomial.
  prim | Primitive element used in the generator polynomial.
  nroots | Number of roots of the generator polynomial.
  interleave | Interleave depth.

References fcr, nroots, and prim.

## make() [4/4]

sptr gr::satellites::encode_rs::make | ( | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | interleave = 1 )

static

Constructs a generic Reed Solomon encoder using PDU IO.

Parameters

  symsize | Size of the finite field elements.
  gfpoly | Polynomial defining the finite field.
  fcr | First consecutive root of the Reed-Solomon generator polynomial.
  prim | Primitive element used in the generator polynomial.
  nroots | Number of roots of the generator polynomial.
  interleave | Interleave depth.

References fcr, nroots, and prim.

The documentation for this class was generated from the following file:

- include/satellites/encode_rs.h